<?php 

/**************************************************************************
** This is free software; you can redistribute it and/or modify it under the
** terms of the GNU General Public License, see the file COPYING.
***************************************************************************/

/*
 *
 * Objects Administration page.
 * Input parameters: action (POST) : empty, 'Create'
 *                   objname (POST) : name of the object to create or remove
 */

session_start();
require_once('classes/gnucomo_config.php');
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel='stylesheet' href='gnucomo.css' type='text/css'>
<title>GNUCoMo login</title>

<script language='JavaScript'>
function CheckCreate(f)
{
   if (f.objectname.value == "")
   {
      alert("You must supply a name");
      return false;
   }
   return true;
}

function CheckRemove(f)
{
   var message = "Are you sure you want to remove object ";
   message += f.objectname.value;
   message += " ?";

   return confirm(message);
}

</script>

</head>
<body>
<?php
if (empty($_SESSION['username']))
{
   echo "Please log in first.";
}
else
{

   $config = new gnucomo_config;

   $config->read("gnucomo");

   //  Connect to the database
   $conn = pg_connect($config->Database($_SESSION['username'], $_SESSION['password']));

   if (!empty($_GET['oid']))
   {
      $res = pg_exec("SELECT objectname FROM object WHERE objectid=" . $_GET['oid']);
      $obj = pg_fetch_object($res, 0);
      echo "<h1>Log for " . $obj->objectname . "</h1><hr>";

      $res = pg_exec("SELECT object_timestamp, servicecode, rawdata FROM log "
                     ."WHERE objectid=" . $_GET['oid']);
      
      echo "<table>";
      $row = 0;
      while ($row < pg_numrows($res))
      {
         $log = pg_fetch_object($res, $row);
         ?>
         <tr><td align='center'>
            <?php echo $log->object_timestamp?>
         </td><td>
            <?php echo $log->servicecode?>
         </td><td>
            <?php echo $log->rawdata?>
         </td></tr>
         <?php
         $row++;
      }
      echo "</table>";
   }
}
?>

</body>
</html>
