<?php 

/**************************************************************************
**  (c) Copyright 2003, Andromeda Technology & Automation
** This is free software; you can redistribute it and/or modify it under the
** terms of the GNU General Public License, see the file COPYING.
***************************************************************************
** MODULE INFORMATION *
***********************
**      FILE NAME      : parameter.php
**      SYSTEM NAME    : Gnucomo - Gnu Computer Monitoring
**      VERSION NUMBER : $Revision: 1.2 $
**
**  DESCRIPTION      : 
**
**  EXPORTED OBJECTS : 
**  LOCAL    OBJECTS : 
**  MODULES  USED    :
***************************************************************************
**  ADMINISTRATIVE INFORMATION *
********************************
**      ORIGINAL AUTHOR : Arjen Baart - arjen@andromeda.nl
**      CREATION DATE   : Dec 04, 2002
**      LAST UPDATE     : Feb 03, 2003
**      MODIFICATIONS   : 
**************************************************************************/

/*****************************
   $Log: parameter.php,v $
   Revision 1.2  2003/02/05 09:47:39  arjen
   Display the difference of all package class parameters for two objects

******************************/

// RCSID = "$Id: parameter.php,v 1.2 2003/02/05 09:47:39 arjen Exp $";


session_start();
require_once('classes/gnucomo_config.php');

/*  Local functions */

function object_selection($db, $skip_oid)
{
   /*  Create and print an HTML option list of objects */

   $res = pg_exec("SELECT objectid, objectname FROM object WHERE objectid != " . $skip_oid);
   for ($row = 0; $row < pg_numrows($res); $row++)
   {
      $obj = pg_fetch_object($res, $row);
      echo "<option value='" . $obj->objectid . "'>";
      echo $obj->objectname;
      echo "</option>";
   }
}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel='stylesheet' href='gnucomo.css' type='text/css'>
<title>GNUCoMo login</title>

<script language='JavaScript'>
function CheckCreate(f)
{
   if (f.objectname.value == "")
   {
      alert("You must supply a name");
      return false;
   }
   return true;
}

function CheckRemove(f)
{
   var message = "Are you sure you want to remove object ";
   message += f.objectname.value;
   message += " ?";

   return confirm(message);
}

</script>

</head>
<body>
<?php
if (empty($_SESSION['username']))
{
   echo "Please log in first.";
}
else
{

   $config = new gnucomo_config;

   $config->read("gnucomo");

   //  Connect to the database
   $conn = pg_connect($config->Database($_SESSION['username'], $_SESSION['password']));

   if (!empty($_GET['oid']))
   {
      $res = pg_exec($conn, "SELECT objectname FROM object WHERE objectid=" . $_GET['oid']);
      $obj = pg_fetch_object($res, 0);
      echo "<h1>Parameters for " . $obj->objectname . "</h1>";

      $res = pg_exec("SELECT paramid, class, name, description FROM parameter "
                     ."WHERE objectid=" . $_GET['oid'] . "order by class, name");
      
     ?>
     <form action='parameter_compare.php' method='post'>
       <input type='hidden' name='oid' value='<?php echo $_GET['oid'] ?>'>
       Compare to object:
       <select name='compare_to'>
         <?php object_selection($conn, $_GET['oid']); ?>
       </select>
       <input type='hidden' name='class' value='package'>
       <input type='submit' value=' Show Difference'>
     </form>
     <?php
      echo "<hr>";
      echo "<table>";
      $row = 0;
      while ($row < pg_numrows($res))
      {
         $par = pg_fetch_object($res, $row);
         ?>
         <tr><td align='center'>
            <?php echo $par->class?>
         </td><td>
            <?php echo $par->name?>
         </td><td>
            <?php echo $par->description?>
         </td><td>
            <?php
               $r = pg_exec($conn, "SELECT name, value FROM property WHERE paramid='" . $par->paramid . "'");
               for ($p = 0; $p < pg_numrows($r); $p++)
               {
                  $prop = pg_fetch_object($r, $p);
                  echo $prop->name . "=" . $prop->value . " ";
               }
            ?>
         </td></tr>
         <?php
         $row++;
      }
      echo "</table>";
   }
}
?>

</body>
</html>
